import java.net.*;
import java.io.*;
JSONArray values;
String contents;

//these float arrays are for the manual lat and lon values you have for the cities
float[] lat = {
  42.96, 41.07, 44.96, 40.71, 43.69, 35.46, 34.30, 37.99, 44.46, 700
};
float[] lon = {
  -85.67, -73.77, -68.905, -77.70, -120.43, -97.38, -106.16, -84.72, -89.64, -700
};

MercatorMap mercatorMap;

PImage MAP;
PVector zone;

void setup() {
  size(displayWidth, displayHeight);

  MAP = loadImage("USA.png");
  //mapping the new image
  mercatorMap = new MercatorMap(displayWidth, displayHeight, 54.97, 16.63, -130.78, -56.25);

  //only pulling 10 entries instead of 100
  contents = getUrlContents("https://api.fda.gov/food/enforcement.json?search=report_date:[20040101+TO+20141231]&limit=10");

  textAlign(CENTER, CENTER);
  
  // println(contents);
};


void draw() {

  // contents = getUrlContents("https://api.fda.gov/food/enforcement.json?search=report_date:[20040101+TO+20141231]&limit=100");

  image (MAP, 0, 0, width, height);
  fill(255, 0, 0);

  JSONObject values = JSONObject.parse(contents);
  JSONArray items = values.getJSONArray("results");

  //println(items);
  //for (int i = 0; i < items.size (); i++) {
  //JSONObject allfood = items.getJSONObject(i); 
  //String reason_for_recall = allfood.getString("reason_for_recall");
  // println(reason_for_recall); 


  //for (int i = 0; i < items.size (); i++) {
  //JSONObject allfood = items.getJSONObject(i); 
  //String status = allfood.getString("status");
  //println(status);

  for (int i = 0; i < items.size (); i++) {
    JSONObject allfood = items.getJSONObject(i); 
    String city = allfood.getString("city");
    String product_description = allfood.getString("product_description");
    String status = allfood.getString("status");
    String recalling_firm = allfood.getString("recalling_firm");

    println(city);

    //after going through all of the items in our JSON array
    //we want to match each position in our lat and lon arrays
    //to each JSON array's position...so that position [0] matches [0] 
    //that's why we're syaing lat[i], lon[i] below
    zone = mercatorMap.getScreenLocation(new PVector(lat[i], lon[i]));

    //now we use the converted PVectors to draw our point on the map
    fill(153);
    ellipse(zone.x, zone.y, 40, 40);

    //if the mouse is within 10px from our point, we'll diaply the city name 
    if (dist(mouseX, mouseY, zone.x, zone.y) < 10) {
      fill(255,22,55);
      text(city, zone.x, zone.y);
      text(product_description, zone.x, zone.y+20);
      text(status, zone.x, zone.y+45);
      text(recalling_firm, zone.x, zone.y+75); 


    } 


    // String lat = drone.getString("lat");
    // String lon = drone.getString("lon");
    // if (lat.length() != 0 && lon.length() != 0) {
    // float Lat = new Float(lat);
    // float Lon = new Float(lon);
    // ellipse(Lat, Lon, 5, 5);
    // println(lat + ", " + lon + ", " + country);
  }
}

